List claims
curl --request GET \
--url https://api.paxos.com/v2/rewards/claims \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paxos.com/v2/rewards/claims"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paxos.com/v2/rewards/claims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"payout_group_id": "<string>",
"claim_type": "CLAIM_ALL",
"claim_schedule_id": "<string>",
"onchain_status": "PENDING",
"amount": "<string>",
"tx_hash": "<string>",
"addresses": [
"<string>"
],
"error_message": "<string>",
"blockchain": "<string>",
"asset_type": "<string>",
"submitted_at": "2023-11-07T05:31:56Z",
"confirmed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next_page_cursor": "<string>"
}Claims
List claims
Returns a paginated list of claims with optional filtering
GET
/
rewards
/
claims
List claims
OAuth Scope
rewards:read_claims
Authorizations
Paxos APIs use OAuth 2 with the client credentials grant flow.
Token URLs:
- Production: https://oauth.paxos.com/oauth2/token
- Sandbox: https://oauth.sandbox.paxos.com/oauth2/token
Learn more in the API credentials guide →
Query Parameters
Optional filters
Available options:
PENDING, SUBMITTED, CONFIRMED, FAILED Start and end times - Inclusive
When set, only claims for this asset type (e.g. "USDG", "PYUSD") are returned.
Pagination
Was this page helpful?